// Remind.cpp : implementation file
//

#include "stdafx.h"
#include "Reminder.h"
#include "Remind.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


#define DATE			1
#define DAYS_LEFT		2
#define NOTIFICATION	3
#define DISABLED		4
#define RECCURENCE		5

/////////////////////////////////////////////////////////////////////////////
// CRemind dialog


CRemind::CRemind(CWnd* pParent /*=NULL*/)
: CDialog(CRemind::IDD, pParent),Events(FALSE)
{
	//{{AFX_DATA_INIT(CRemind)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CRemind::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CRemind)
	DDX_Control(pDX, IDC_HIDE, m_Hide);
	DDX_Control(pDX, IDC_LIST, m_List);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CRemind, CDialog)
	//{{AFX_MSG_MAP(CRemind)
	ON_BN_CLICKED(IDC_HIDE, OnHide)
	ON_NOTIFY(NM_CLICK, IDC_LIST, OnClickList)
	ON_NOTIFY(LVN_COLUMNCLICK, IDC_LIST, OnColumnclickList)
	ON_BN_CLICKED(IDC_APP, OnApp)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CRemind message handlers

void CRemind::OnOK() 
{
	// TODO: Add extra validation here
		
	CDialog::OnOK();
}

BOOL CRemind::OnInitDialog() 
{
	CDialog::OnInitDialog();
	// TODO: Add extra initialization here

	SetIcon( AfxGetApp()->LoadIcon( IDR_MAINFRAME ), TRUE );

	CRect Rect;
	Events.SetListCtrl(&m_List);
	m_List.GetWindowRect(&Rect);
	m_List.InsertColumn( 0, "Event",LVCFMT_LEFT,(Rect.right - Rect.left )/2);
	m_List.InsertColumn( 1, "Date",LVCFMT_LEFT,(Rect.right - Rect.left )/4 );	
	m_List.InsertColumn( 2, "Days Left",LVCFMT_LEFT,(Rect.right - Rect.left )/4 - 3);
	m_List.InsertColumn( 3, "Notificatin",LVCFMT_LEFT,0);	
	m_List.InsertColumn( 4, "Status",LVCFMT_LEFT,0);	
	m_List.InsertColumn( 5, "Recurrence",LVCFMT_LEFT,0);	
	ModifyStyle(LVS_TYPEMASK,LVS_REPORT & LVS_TYPEMASK);
	m_List.SetExtendedStyle(LVS_EX_FULLROWSELECT |LVS_EX_GRIDLINES );
	if( !Events.ReadConfig() )
		CDialog::OnOK();
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CRemind::OnHide() 
{
	// TODO: Add your control notification handler code here
	Events.EnableEvents(FALSE);	
	Events.ReadConfig();
}

void CRemind::OnClickList(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	if(m_List.GetSelectedCount() != 0 )
		m_Hide.EnableWindow(TRUE);
	else
		m_Hide.EnableWindow(FALSE);

	*pResult = 0;
}

void CRemind::OnColumnclickList(NMHDR* pNMHDR, LRESULT* pResult) 
{
	static BOOL Ascending = 0;
	static BOOL LastHeader = DAYS_LEFT;
	NM_LISTVIEW* pNMListView = (NM_LISTVIEW*)pNMHDR;
	// TODO: Add your control notification handler code here
	if( LastHeader != pNMListView->iSubItem )
		Ascending = 1;
	LastHeader = pNMListView->iSubItem;
	Events.SetSortOrder(Ascending);
	Events.Sort(pNMListView->iSubItem);
	Ascending = !Ascending;
	*pResult = 0;
}

void CRemind::OnApp() 
{
	// TODO: Add your control notification handler code here
	EndDialog( IDC_APP );
	
}
