// ReminderView.h : interface of the CReminderView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_REMINDERVIEW_H__F76A044D_8F21_11D4_88AF_EA115D8AD66A__INCLUDED_)
#define AFX_REMINDERVIEW_H__F76A044D_8F21_11D4_88AF_EA115D8AD66A__INCLUDED_

#include "AddEvent.h"	// Added by ClassView
#include "Events.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CReminderView : public CListView
{
protected: // create from serialization only
	CReminderView();
	DECLARE_DYNCREATE(CReminderView)

// Attributes
public:
	CReminderDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CReminderView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void OnInitialUpdate(); // called first time after construct
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CReminderView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CReminderView)
	afx_msg void OnFileAddevent();
	afx_msg void OnFileDeleteevent();
	afx_msg void OnEventsRemind();
	afx_msg void OnUpdateEventsRemind(CCmdUI* pCmdUI);
	afx_msg void OnEventsDontRemind();
	afx_msg void OnUpdateEventsDontRemind(CCmdUI* pCmdUI);
	afx_msg void OnEditevent();
	afx_msg void OnUpdateEditevent(CCmdUI* pCmdUI);
	afx_msg void OnUpdateDeleteevent(CCmdUI* pCmdUI);
	afx_msg void OnColumnclick(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDontremind();
	afx_msg void OnUpdateDontremind(CCmdUI* pCmdUI);
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CEvents Events;
//	BOOL EnableEvents(BOOL);
//	BOOL ReadConfig();
	CAddEvent AddEvent;
	BOOL Ascending;
	BOOL LastHeader;
};

#ifndef _DEBUG  // debug version in ReminderView.cpp
inline CReminderDoc* CReminderView::GetDocument()
   { return (CReminderDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_REMINDERVIEW_H__F76A044D_8F21_11D4_88AF_EA115D8AD66A__INCLUDED_)
