// Events.h: interface for the CEvents class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EVENTS_H__ACDFA481_8FD9_11D4_88AF_947FF2164B6A__INCLUDED_)
#define AFX_EVENTS_H__ACDFA481_8FD9_11D4_88AF_947FF2164B6A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CEvents  
{
public:
	static WORD GetVersion( CString &);
	static BOOL ConvertToVersion2(CString &OldDataFile, CString &NewDataFile);
	void SetSortOrder(BOOL Ascending);
	BOOL Sort(BYTE Header);

	void SetListCtrl(CListCtrl* );
	CEvents(BOOL);
	virtual ~CEvents();
	BOOL EnableEvents(BOOL Status);
	WORD ReadConfig();

private:
	BYTE SortHeader;
	static int CALLBACK SortDaysLeftAsc(LPARAM lParam1, LPARAM lParam2, LPARAM );
	static int CALLBACK SortDaysLeftDec(LPARAM lParam1, LPARAM lParam2, LPARAM );
	static int CALLBACK SortNameAsc(LPARAM lParam1, LPARAM lParam2, LPARAM );
	static int CALLBACK SortNameDec(LPARAM lParam1, LPARAM lParam2, LPARAM );

	BOOL ReEvaluate();	
	BOOL Ascending;
	BOOL All;
	CListCtrl * m_List;
};

#endif // !defined(AFX_EVENTS_H__ACDFA481_8FD9_11D4_88AF_947FF2164B6A__INCLUDED_)
